curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/wallet/id/{id} \
--header 'Authorization: Bearer <token>'{
"id": "ca9eb297-e67d-4865-aea8-82f854a419e2",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "Ethereum Wallet",
"address": 1.04983004566171e+48,
"wallet_type": "hot",
"network": "ethereum",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:26:34.359159Z"
}curl --request GET \
--url https://crypto.westminister.tech/api/v1/auth/wallet/id/{id} \
--header 'Authorization: Bearer <token>'{
"id": "ca9eb297-e67d-4865-aea8-82f854a419e2",
"user_id": "383f20af-5960-4374-a5c3-b7566ea8f771",
"name": "Ethereum Wallet",
"address": 1.04983004566171e+48,
"wallet_type": "hot",
"network": "ethereum",
"is_default": true,
"is_active": true,
"created_at": "2025-12-11T11:26:34.359159Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.crypto.westminister.tech/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Wallet ID.
Wallet found
Wallet ID.
Owner user ID.
Wallet label (e.g.
Chain address.
hot/cold/etc.
Network name (ethereum
Whether this is the default wallet for the network.
Whether wallet is active.
Wallet creation timestamp (RFC 3339).